## org.eclipse.emf.mapping.ecore2xml
Interface Ecore2XMLRegistry

All Superinterfaces:
  java.util.Map<java.lang.String,java.lang.Object>

All Known Implementing Classes:
  Ecore2XMLRegistryImpl

    public interface Ecore2XMLRegistry

extends java.util.Map<java.lang.String,java.lang.Object>

A registry for mappings from Ecore to XML.

Nested Class Summary
`static interface` `Ecore2XMLRegistry.Descriptor` A descriptor for Ecore2XML mappings registered via an extension point.
`static class` `Ecore2XMLRegistry.Reader` Reads and registers Ecore2XML mappings in the extension registry.

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`static Ecore2XMLRegistry` `INSTANCE`

Method Summary
`XMLResource.XMLMap` `getXMLMap(java.lang.String nsURI)`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Field Detail

### INSTANCE

    static final Ecore2XMLRegistry INSTANCE

Method Detail

### getXMLMap

    XMLResource.XMLMap getXMLMap(java.lang.String nsURI)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.